## kalm 25.08.0

=== debian/changelog ===
kalm (25.08.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 08:52:58 +0000

kalm (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:07:59 +0000

kalm (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:27:09 +0000

kalm (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:33:56 +0000

kalm (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:05:29 +0000

kalm (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:27:11 +0000

kalm (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:00:21 +0000

kalm (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:19:51 +0000

kalm (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:19:38 +0000

kalm (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:07:09 +0000

kalm (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:30:51 +0000

kalm (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:55:19 +0000

kalm (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:26:53 +0000

kalm (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 20:33:06 +0000

kalm (24.05.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 20:33:07 +0000

kalm (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:41:25 +0000

## kalm 25.08.1

=== debian/changelog ===
kalm (25.08.1-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 11:42:43 +0000

kalm (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:38:38 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

## kalm 25.08.1+p24.04+vstable+git20250911.1306

=== debian/changelog ===
kalm (25.08.1+p24.04+vstable+git20250911.1306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 13:06:49 +0000

## kalm 25.12.1+p24.04+vunstable+git20260201.0649

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Plata Hill <plata.hill@kdemail.net>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "26")
set(RELEASE_SERVICE_VERSION_MINOR "03")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kalm VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.4.0")
set(QT_MIN_VERSION "6.6.0")

include(FeatureSummary)

################# KDE settings #################

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for CMake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(ECMAddAndroidApk)
include(ECMAddTests)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDEClangFormat)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMPoQmTools)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(QmlFormat.cmake)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KALM
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/kalm-version.h
)

################# dependencies #################

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui QuickControls2)
qt_policy(SET QTP0001 NEW)

find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Config I18n)

if(ANDROID)
    find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami2)
else()
    find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} OPTIONAL_COMPONENTS Crash)
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
endif()

if(TARGET KF${QT_MAJOR_VERSION}::Crash)
    set(HAVE_KCRASH TRUE)
endif()

find_package(KF${QT_MAJOR_VERSION}KirigamiAddons REQUIRED)
set_package_properties(KF${QT_MAJOR_VERSION}KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Provides additional visual components"
)

if (NOT ANDROID)
    find_package(KF${QT_MAJOR_VERSION}QQC2DesktopStyle ${KF_MIN_VERSION} REQUIRED)
    set_package_properties(KF${QT_MAJOR_VERSION}QQC2DesktopStyle PROPERTIES
        TYPE RUNTIME
    )
endif()

include(ECMQmlModule)

################# compiler #################

set(CMAKE_CXX_STANDARD 11)
if(MSVC)
    add_compile_options(/W3 /WX)
else()
    add_compile_options(-Wall -Wextra -Wconversion -Wsign-conversion -pedantic)

    if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 14.0.0)
        add_compile_options(-Wno-error=hardened)
    endif()
endif()

################# build and install #################

add_subdirectory(autotests)
add_subdirectory(src)

ki18n_install(po)

install(PROGRAMS org.kde.kalm.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kalm.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.kalm.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

################# format sources #################

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp src/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
add_custom_target(clang-format-always ALL DEPENDS ${ALL_CLANG_FORMAT_SOURCE_FILES})
add_dependencies(clang-format-always clang-format)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

file(GLOB_RECURSE ALL_QML_FORMAT_SOURCE_FILES src/qml/*.qml)
qml_format(${ALL_QML_FORMAT_SOURCE_FILES})

add_custom_target(qml-format-always ALL DEPENDS ${ALL_QML_FORMAT_SOURCE_FILES})
add_dependencies(qml-format-always qml-format)

## kalm 25.08.1+p24.04+vstable+git20251001.0528

=== debian/changelog ===
kalm (25.08.1+p24.04+vstable+git20251001.0528-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 05:28:55 +0000

=== debian/control ===
Source: kalm
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-qqc2-desktop-style-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/kalm/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kalm.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kalm
Maintainer: Neon CI <neon@kde.org>

Package: kalm
Architecture: any
Depends: qml6-module-org-kde-kirigami-addons-formcard,
         qml6-module-org-kde-kirigami2,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Breathing Techniques
 Kalm can teach you different breathing techniques.

## kalm 25.08.2

=== debian/changelog ===
kalm (25.08.2-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 06:07:42 +0000

kalm (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:14:10 +0000

## kalm 25.08.2+p24.04+vstable+git20251012.0412

=== debian/changelog ===
kalm (25.08.2+p24.04+vstable+git20251012.0412-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 04:12:13 +0000

## kalm 25.08.3

=== debian/changelog ===
kalm (25.08.3-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 15:18:19 +0000

kalm (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:32:47 +1000

## kalm 25.08.3+p24.04+vunstable+git20251126.0322

=== debian/changelog ===
kalm (25.08.3+p24.04+vunstable+git20251126.0322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 26 Nov 2025 03:22:23 +0000

## kalm 25.08.3+p24.04+vunstable+git20251204.0226

=== debian/changelog ===
kalm (25.08.3+p24.04+vunstable+git20251204.0226-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:26:47 +0000

## kalm 25.12.0

=== debian/changelog ===
kalm (25.12.0-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 10:20:54 +0000

kalm (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:28:28 +1000

## kalm 25.12.0+p24.04+vstable+git20260101.0159

=== debian/changelog ===
kalm (25.12.0+p24.04+vstable+git20260101.0159-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:59:28 +0000

## kalm 25.12.0+p24.04+vstable+git20260103.0306

=== debian/changelog ===
kalm (25.12.0+p24.04+vstable+git20260103.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:06:52 +0000

## kalm 25.12.0+p24.04+vstable+git20260105.1110

=== debian/changelog ===
kalm (25.12.0+p24.04+vstable+git20260105.1110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:10:30 +0000

## kalm 25.12.1

=== debian/changelog ===
kalm (25.12.1-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 22:03:03 +0000

kalm (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:16:44 +1000

## kalm 25.12.1+p24.04+vstable+git20260106.1345

=== debian/changelog ===
kalm (25.12.1+p24.04+vstable+git20260106.1345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 13:45:13 +0000

## kalm 25.12.1+p24.04+vstable+git20260120.0741

=== debian/changelog ===
kalm (25.12.1+p24.04+vstable+git20260120.0741-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 07:41:52 +0000

## kalm 25.12.1+p24.04+vstable+git20260131.0305

=== debian/changelog ===
kalm (25.12.1+p24.04+vstable+git20260131.0305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:05:21 +0000

## kalm 25.12.1+p24.04+vunstable+git20260201.0649

=== debian/changelog ===
kalm (25.12.1+p24.04+vunstable+git20260201.0649-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:49:15 +0000
